Subject: Re: list of all network namespaces

From: Nicolas Dichtel <[email-masked]>
Date: Thu, 17 Sep 2015 11:46:27 +0200

Le 17/09/2015 02:54, Rick Jones a écrit :
> On 09/16/2015 05:46 PM, Ani Sinha wrote:
>> Hi guys
>>
>> just a stupid question. Is it possible to get a list of all active
>> network namespaces in the kernel through /proc or some other
>> interface?
>
> Presumably you could copy what "ip netns" does, which appears to be to look in
> /var/run/netns .  At least that is what an strace of that command suggests.
This will only list netns referenced in '/var/run/netns', which is not 'all'
existing netns (most probably only netns created by iproute2).

Regards,
Nicolas